.main-store {
	position: relative;

	&::before {
		top: rem(-150);
		z-index: 1;
		content: '';
		width: rem(753);
		height: rem(753);
		left: calc(50% + 255px);
		border-radius: 50%;
		position: absolute;
		background: url('../../img/patetrn__03.svg') 50% 50% no-repeat;
	}

	.container {
		z-index: 10;
		position: relative;
	}
}

.store-tags {
	max-width: 100%;
	overflow-x: auto;
	margin-bottom: rem(40);

	&__list {
		margin: 0;
		list-style: none;
		display: flex;
		align-items: center;
		padding: 0 0 rem(10) 0;

		li {
			padding-right: rem(13);
		}
	}

	&__item {
		color: $blue-900;
		padding: rem(5) rem(14);
		font-size: rem(11);
		line-height: rem(13);
		white-space: nowrap;
		display: inline-block;
		text-decoration: none;
		border-radius: rem(12);
		text-transform: uppercase;
		border: rem(1) solid $gray-100;
	}

	@media (min-width: $screen-lg-min) {
		overflow: visible;
	}
}

.store-cat {
	margin-bottom: rem(60);
	display: grid;
	grid-row-gap: rem(30);
	grid-column-gap: rem(10);
	grid-template-columns: 1fr;
	font-family: $font-family-head;

	&__item {
		color: $white;
		display: block;
		overflow: hidden;
		border-radius: rem(8);
		position: relative;
		font-weight: 700;
		font-size: rem(24);
		line-height: rem(29);
		text-decoration: none;

		&:hover {
			color: $white;
			text-decoration: none;
		}

		&--image {
			z-index: 1;
			display: block;
			position: relative;

			&:before {
				top: 0;
				left: 0;
				right: 0;
				bottom: 0;
				z-index: 5;
				content: '';
				display: block;
				position: absolute;
				background: -o-linear-gradient(269.39deg,rgba(0,0,0,0) 39.4%,rgba(0,0,0,.74) 99.47%);
				background: linear-gradient(180.61deg,rgba(0,0,0,0) 39.4%,rgba(0,0,0,.74) 99.47%);
			}
		}

		&--title {
			left: rem(30);
			right: rem(30);
			z-index: 10;
			bottom: rem(30);
			display: block;
			position: absolute;
		}
	}

	@media (min-width: $screen-sm-min) {
		grid-template-columns: 1fr 1fr 1fr;

		&__item {
			font-size: rem(18);
			line-height: rem(24);
		}
	}

	@media (min-width: $screen-md-min) {
		grid-column-gap: rem(16);

		&__item {
			font-size: rem(20);
			line-height: rem(24);
		}
	}

	@media (min-width: $screen-lg-min) {
		grid-column-gap: rem(30);
		margin-bottom: rem(18);

		&__item {
			font-size: rem(24);
			line-height: rem(29);
		}
	}
}

.store-bnr {
	font-size: rem(18);
	font-weight: 700;
	line-height: rem(24);
	margin-bottom: rem(60);
	display: grid;
	grid-row-gap: rem(30);
	grid-column-gap: rem(10);
	grid-template-columns: 1fr;
	font-family: $font-family-head;

	&__item {
		display: block;
		color: $black-100;
		overflow: hidden;
		border-radius: rem(8);
		position: relative;
		text-decoration: none;

		&--title {
			left: rem(20);
			bottom: rem(20);
			position: absolute;
		}
	}

	@media (min-width: $screen-sm-min) {
		grid-template-columns: 1fr 1fr;

		&__item {
			font-size: rem(16);
		}
	}

	@media (min-width: $screen-md-min) {
		grid-column-gap: rem(16);

		&__item {
			font-size: rem(20);
		}
	}

	@media (min-width: $screen-lg-min) {
		grid-column-gap: rem(30);
		margin-bottom: rem(80);

		&__item {
			font-size: rem(24);
			line-height: rem(29);

			&--title {
				left: rem(30);
				bottom: rem(40);
			}
		}
	}
}

.team-list {
	margin-bottom: rem(60);

	&__header {
		font-size: rem(20);
		font-weight: 700;
		line-height: rem(24);
		margin-bottom: rem(35);
		font-family: $font-family-head;
	}

	&__main {

	}

	&__item {
		display: block;
	}

	.swiper-container-horizontal {

		>.swiper-scrollbar {
			height: 2px;
			flex-grow: 1;
			bottom: auto;
			overflow: hidden;
			margin-top: rem(15);
			background: #bac5d3;
			position: relative;
		}
	}

	.swiper-scrollbar-drag {
		background: linear-gradient(90deg,#ec0a15 0,#233bdb 100%);
	}

	.swiper-slide {
		width: rem(105);
	}

	@media (min-width: $screen-md-min) {

		&__header {
			text-align: center;
		}

		.swiper-container-horizontal {

			>.swiper-scrollbar {
				width: rem(280);
				position: relative;
				margin: rem(30) auto 0 auto;
			}
		}

		&__scrollbar {

		}

		.swiper-slide {
			width: rem(160);
		}

		&__item {
			width: rem(160);
		}
	}

	@media (min-width: $screen-lg-min) {
		margin-bottom: rem(80);
	}

	@media (min-width: $screen-xl-min) {

		.swiper-slide {
			width: auto;
		}
	}
}

.store-adv {
	overflow: hidden;
	border-radius: rem(8);
	margin-bottom: rem(60);

	&__xs {
		display: block;
	}

	&__md {
		display: none;
	}

	@media (min-width: $screen-sm-min) {

		&__xs {
			display: none;
		}

		&__md {
			display: block;
		}
	}

	@media (min-width: $screen-lg-min) {
		margin-bottom: rem(80);
	}
}

.store-tabs {
	margin-bottom: rem(60);

	&__nav {
		max-width: rem(350);
		font-weight: 700;
		font-size: rem(14);
		line-height: rem(20);
		margin: 0 auto rem(25) auto;

		ul {
			margin: 0;
			padding: 0;
			list-style: none;
			position: relative;
			display: flex;
			align-items: center;
			justify-content: space-between;

			&:before {
				left: 0;
				right: 0;
				bottom: 0;
				z-index: 1;
				content: '';
				height: 2px;
				opacity: 0.3;
				position: absolute;
				background: $blue-500;
			}

			li {
				z-index: 10;
				position: relative;
			}
		}

		&--button {
			color: $black-100;
			white-space: nowrap;
			display: inline-block;
			text-decoration: none;
			padding-bottom: rem(18);
			position: relative;

			&:before {
				left: 0;
				right: 0;
				bottom: 0;
				z-index: 10;
				content: '';
				height: rem(4);
				opacity: 0;
				visibility: hidden;
				position: absolute;
				background: linear-gradient(90deg, #ec0a15 0, #233bdb 100%);
			}

			&:hover {
				color: $blue;
			}

			&.active {

				&:before {
					opacity: 1;
					visibility: visible;
				}

				&:hover {
					color: $black-100;
				}
			}
		}
	}

	&__content {
		margin: 0 rem(-15);
		position: relative;
	}

	&__item {
		display: none;

		&.active {
			display: block;
		}
	}

	&__button {
		border: none;
		outline: none;
		top: calc(50% - 2.5rem);
		width: rem(40);
		height: rem(40);
		z-index: 100;
		display: none;
		font-size: 0;
		line-height: 0;
		padding: rem(7) 0;
		cursor: pointer;
		text-align: center;
		border-radius: rem(50);
		position: absolute;
		background: $white;
		box-shadow: 0 4px 8px rgba(0, 0, 0, 0.12);

		&:hover {
			background: #f9f9f9;
		}

		i {
			height: rem(26);
			display: inline-block;
		}

		&--prev {
			left: rem(-48);
		}

		&--next {
			right: rem(-48);
		}
	}

	.swiper-slide {
		padding: rem(15);
	}

	.swiper-nav {
		margin: rem(20) auto 0 auto;
		max-width: rem(320);
		position: relative;
		display: flex;
		align-items: center;

		&__scrollbar {
			flex-grow: 1;
		}

		&__count {
			color: #bac5d3;
			font-size: rem(13);
			line-height: rem(18);
			padding-left: rem(14);
			white-space: nowrap;
			display: flex;
			align-items: center;

			span {
				display: block;
			}
		}
	}

	.swiper-scrollbar {
		height: rem(2);
		flex-grow: 1;
		left: auto;
		right: auto;
		bottom: auto;
		margin: 0;
		overflow: hidden;
		position: relative;
		background: #bac5d3;
	}

	.swiper-scrollbar-drag {
		background: linear-gradient(90deg,#ec0a15 0,#233bdb 100%);
	}

	@media (min-width: $screen-lg-min) {
		margin-bottom: rem(80);
	}

	@media (min-width: $screen-xl-min) {

		&__button {
			display: inline-block;
		}
	}
}

.item {
	color: $black;
	font-size: rem(14);
	line-height: 140%;
	height: 100%;
	overflow: hidden;
	border-radius: rem(8);
	background: $white;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.12);
	display: flex;
	flex-direction: column;

	&__image {
		font-size: 0;
		line-height: 0;
		display: block;
	}

	&__content {
		padding: rem(20);
		display: flex;
		flex-grow: 1;
		flex-direction: column;
	}

	&__title {
		font-weight: 700;
		font-size: rem(18);
		line-height: 160%;
		color: $black-100;
		margin-bottom: rem(8);

		a {
			color: $black-100;
			text-decoration: none;
		}
	}

	&__text {
		flex-grow: 1;
	}

	&__footer {
		display: flex;
		align-items: center;
		padding-top: rem(20);
		justify-content: space-between;
	}

	&__price {
		font-weight: 700;
		font-size: rem(18);
		line-height: rem(22);
	}

	&__button {
		margin: 0;
		padding: 0;
		width: rem(40);
		height: rem(40);
		border: none;
		outline: none;
		font-size: 0;
		line-height: 0;
		text-align: center;
		position: relative;
		background: $gray-100;
		border-radius: rem(8);
		display: inline-block;

		i {
			height: rem(20);
			display: inline-block;
			fill: $black;
		}

		&:hover {
			background: $gray-200;
		}

		&:active {
			background: $gray-100;
		}
	}
}

.hint {
	margin-bottom: rem(60);

	&__header {
		font-size: rem(20);
		font-weight: 700;
		line-height: rem(24);
		margin-bottom: rem(25);
		font-family: $font-family-head;
	}


	&__content {
		position: relative;
	}

	&__nav {
		margin: rem(20) auto 0 auto;
		max-width: rem(320);
		position: relative;
		display: flex;
		align-items: center;

		&--scrollbar {
			flex-grow: 1;
		}

		&--count {
			color: #bac5d3;
			font-size: rem(13);
			line-height: rem(18);
			padding-left: rem(14);
			white-space: nowrap;
			display: flex;
			align-items: center;

			span {
				display: block;
			}
		}
	}

	.swiper-slide {
		padding: rem(15);
	}

	.swiper-scrollbar {
		height: rem(2);
		flex-grow: 1;
		left: auto;
		right: auto;
		bottom: auto;
		margin: 0;
		overflow: hidden;
		position: relative;
		background: #bac5d3;
	}

	.swiper-scrollbar-drag {
		background: linear-gradient(90deg,#ec0a15 0,#233bdb 100%);
	}

	&__button {
		border: none;
		outline: none;
		top: calc(50% - 2.5rem);
		width: rem(40);
		height: rem(40);
		z-index: 100;
		display: none;
		font-size: 0;
		line-height: 0;
		padding: rem(7) 0;
		cursor: pointer;
		text-align: center;
		border-radius: rem(50);
		position: absolute;
		background: $white;
		box-shadow: 0 4px 8px rgba(0, 0, 0, 0.12);

		&:hover {
			background: #f9f9f9;
		}

		i {
			height: rem(26);
			display: inline-block;
		}

		&--prev {
			left: rem(-48);
		}

		&--next {
			right: rem(-48);
		}
	}
}

.product {
	margin-bottom: rem(60);

	&__media {
		margin-bottom: rem(25);

		&--gallery {
			margin-bottom: rem(25);
		}

		&--item {
			display: block;
			overflow: hidden;
			border-radius: rem(8);
		}

		&--thumbs {

			.swiper-slide {
				width: rem(100);
			}
		}

		&--thumb {
			cursor: pointer;
			overflow: hidden;
			position: relative;
			border-radius: rem(8);

			&:before {
				top: 0;
				left: 0;
				right: 0;
				bottom: 0;
				content: '';
				z-index: 10;
				position: absolute;
				background: linear-gradient(270deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.18) 97%);
			}

			&:hover {
				&:before {
					opacity: 0;
				}
			}
		}
	}

	&__header {
		margin-bottom: rem(40);
		display: flex;
		align-items: flex-start;
		justify-content: space-between;

		&--title {
			margin: 0;
			color: $black;
			font-weight: 700;
			font-size: rem(24);
			line-height: rem(29);
			padding-right: rem(20);
		}

		&--price {
			color: $black;
			font-weight: 700;
			font-size: rem(20);
			line-height: rem(29);
			white-space: nowrap;
		}
	}

	&__group {
		margin-bottom: rem(40);
	}

	&__size {
		margin-bottom: 20px;

		&--list {
			padding: 0;
            margin: 0 rem(-8) rem(10) rem(-8);
			list-style: none;
			display: flex;
			flex-wrap: wrap;
			align-items: center;

			li {
				padding: 0 rem(8);
				margin-bottom: rem(10);
			}
		}

		&--link {
			padding-left: rem(26);
			display: inline-block;
			position: relative;
			font-size: rem(14);
			line-height: rem(20);
			color: $black;
			text-decoration: none;
			background: url("../../img/icon__size.svg") 0 50% no-repeat;
		}
	}

	&__purchase {
		width: 100%;
	}

	&__info {
		width: 100%;
		border-collapse: collapse;
		font-size: rem(16);
		line-height: rem(22);
		margin-bottom: rem(26);
		vertical-align: top;

		th {
            padding: rem(8) rem(16) rem(8) 0;
			text-align: left;
			vertical-align: top;
		}

		tr {
			padding: rem(8) 0;
			vertical-align: top;
		}
	}

	&__text {
		font-size: rem(18);
		line-height: 160%;

		p {
			margin-bottom: rem(30);

			&:last-child {
				margin-bottom: 0;
			}
		}
	}

	@media (min-width: $screen-sm-min) {

		&__group {
			display: flex;
			align-items: flex-start;
			justify-content: space-between;
		}

		&__purchase {
			width: rem(160);
		}
	}

	@media (min-width: $screen-md-min) {

		&__header {

			&--title {
				padding-right: rem(40);
			}
		}
	}

	@media (min-width: $screen-lg-min) {
		margin-bottom: rem(80);
		display: flex;
		justify-content: space-between;

		&__media {
			margin: 0;
			width: calc(50% - 0.9375rem);
		}

		&__content {
			margin: 0;
			width: calc(50% - 0.9375rem);
		}
	}

	@media (min-width: $screen-xl-min) {

	}
}

.slider-button {
	top: calc(50% - 0.9375rem);
	width: rem(30);
	height: rem(30);
	z-index: 100;
	font-size: 0;
	line-height: 0;
	border: none;
	outline: none;
	padding: rem(2) 0;
	text-align: center;
	position: absolute;
	display: inline-block;

	i {
		height: rem(26);
		display: inline-block;
	}

	svg {
		fill: $white;
	}

	&--prev {
		left: 0;
	}

	&--next {
		right: 0;
	}
}

.option {
	font-size: 0;
	line-height: 0;
	font-weight: 400;
	position: relative;
	display: inline-block;

	input {
		top: 0;
		left: 0;
		width: 1px;
		height: 1px;
		opacity: 0;
		visibility: hidden;
		position: absolute;
	}

	span {
		width: rem(65);
		height: rem(40);
		color: $black-100;
		padding: rem(10) rem(5);
		font-weight: 700;
		font-size: rem(14);
		line-height: rem(18);
		text-align: center;
		border-radius: rem(20);
		cursor: pointer;
		display: inline-block;
		background: $gray-100;
		border: 1px solid $gray-100;
	}

	input:checked + span {
		color: $white;
		background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
	}
}

.marketplace {
	margin-bottom: rem(60);

	&__header {
		display: flex;
		align-items: center;
		justify-content: space-between;
		margin-bottom: rem(30);

		&--title {
			margin: 0;
		}

		&--sort {
			display: none;
		}
	}

	&__pagination {
		text-align: center;
		padding-top: rem(60);
	}

	&__row {
		display: grid;
		grid-row-gap: rem(30);
		grid-column-gap: rem(16);
		grid-template-columns: 1fr;
	}

	&__long {
		display: none;
	}

	&__bnr {
		display: block;
		overflow: hidden;
		border-radius: rem(8);
	}

	@media (min-width: $screen-sm-min) {

		&__row {
			grid-template-columns: 1fr 1fr;
		}
	}

	@media (min-width: $screen-md-min) {

		&__row {
			grid-template-columns: 1fr 1fr;
		}

		&__long {
			display: block;
			grid-column: 1/3
		}
	}

	@media (min-width: $screen-lg-min) {

		&__header {
			margin-bottom: rem(60);

			&--sort {
				display: block;
			}
		}

		&__main {
			position: relative;
		}

		&__sidebar {
			float: left;
			width: rem(255);
			display: block;
			padding: 0;
			border-radius: 0;
			box-shadow: none;
			background: transparent;
			max-height: inherit;
			height: auto;
			top: auto;
			left: auto;
			right: auto;
			bottom: auto;
			min-height: rem(1);
			flex-shrink: 0;
			margin-right: rem(30);
			position: relative;
		}

		&__content {
			float: right;
			width: calc(100% - 17.8125rem);
		}
	}

	@media (min-width: $screen-xl-min) {

		&__row {
			grid-template-columns: 1fr 1fr 1fr;
		}

		&__long {
			grid-column: 1/4
		}
	}
}

.sort {
	display: flex;
	align-items: center;
	justify-content: flex-end;

	&__elem {
		margin-left: rem(20);
	}
}

.sort-switch {
	font-size: 0;
	line-height: 0;
	font-weight: 400;
	position: relative;
	display: inline-block;

	&__input {
		top: 0;
		left: 0;
		opacity: 0;
		width: 1px;
		height: 1px;
		overflow: hidden;
		visibility: hidden;
		position: absolute;
	}

	&__button {
		padding: rem(8) rem(10);
		border-radius: rem(16);
		cursor: pointer;
		color: $black-100;
		font-size: rem(12);
		line-height: rem(16);
		white-space: nowrap;
		text-decoration: none;
		display: flex;
		align-items: center;
		background: $gray-100;

		i {
			font-size: 0;
			line-height: 0;
			height: rem(16);
			margin-left: rem(6);
			display: inline-block;
		}

		svg {
			fill: $black-100;
		}
	}
}

.sidebar {
	bottom: 0;
	left: rem(13);
	height: 80%;
	width: calc(100% - 1.625rem);
	z-index: 3000;
	position: fixed;
	background: $white;
	box-shadow: 0px -4px 8px rgba(0, 0, 0, 0.12);
	border-radius: rem(8) rem(8) 0 0;
	transform: translateY(100%);
	transition: .3s;

	&.open {
		transform: translateY(0%);
		transition: .3s;
	}

	&__header {
        padding: rem(24) rem(24) rem(20) rem(24);
		display: flex;
		align-items: center;
		justify-content: space-between;

		&--title {
			font-weight: 700;
			font-size: rem(18);
			line-height: rem(22);
		}

		&--close {
			width: rem(22);
			height: rem(22);
			z-index: 100;
			font-size: 0;
			line-height: 0;
			cursor: pointer;
			position: relative;

			&:after,
			&:before {
				z-index: 10;
				top: calc(50% - 0.0625rem);
				left: calc(50% - 0.5625rem);
				width: rem(18);
				height: rem(2);
				content: '';
				position: absolute;
				background: rgba(25, 61, 106, 0.5);
			}

			&:after {
				transform: rotate(45deg);
			}

			&:before {
				transform: rotate(-45deg);
			}
		}
	}

	&__main {
		top: rem(66);
		left: 0;
		right: 0;
		bottom: 0;
		overflow-y: auto;
		position: absolute;
        padding: 0 rem(24) rem(20) rem(24);
	}

	&__group {
		margin-bottom: rem(30);
		padding-bottom: rem(30);
		border-bottom: rem(1) solid $gray-100;

		&:last-child {
			margin-bottom: 0;
			padding-bottom: 0;
			border-bottom: none;
		}
	}

	&__title {
		color: $blue;
		font-weight: 700;
		font-size: rem(16);
		line-height: rem(20);
		margin-bottom: rem(18);
		display: inline-block;
		background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);
		-webkit-background-clip: text;
		-webkit-text-fill-color: transparent;
	}

	&__nav {
		margin: 0;
		padding: 0;
		list-style: none;

		&--item {
			margin-bottom: rem(12);

			&:last-child {
				margin-bottom: 0;
			}
		}

		&--link {
			font-weight: 700;
			color: $black-100;
			font-size: rem(16);
			line-height: rem(22);
			text-decoration: none;
			display: flex;
			align-items: center;
			justify-content: space-between;
		}
	}

	&__footer {
		padding-top: rem(40);
		text-align: center;

		button {
			width: 100%;
		}
	}

	@media (min-width: $screen-md-min) {
		left: rem(15);
		width: rem(350);
	}

	@media (min-width: $screen-lg-min) {
		height: auto;
		bottom: auto;
		left: auto;
		right: auto;
		width: 100%;
		padding-bottom: rem(50);
		position: relative;
		box-shadow: none;
		background: transparent;
		border-radius: 0;
		transform: translateY(0);
		transition: none;

		&__header {
			display: none;
		}

		&__main {
			top: auto;
			left: auto;
			right: auto;
			bottom: auto;
			overflow-y: visible;
			padding: 0;
			position: relative;
		}
	}

}

.sidebar-button {
	right: 0;
	top: calc(50% - 1.6875rem);
	width: rem(54);
	height: rem(54);
	margin: 0;
	padding: 0;
	border: none;
	outline: none;
	position: fixed;
	cursor: pointer;
	border-radius: rem(8) 0 0 rem(8);
	display: inline-block;
	background: rgb(236,10,21);
	background: linear-gradient(90deg, rgba(236,10,21,1) 0%, rgba(35,59,219,1) 100%);

	i {
		top: calc(50% - 0.75rem);
		left: calc(50% - 0.75rem);
		width: rem(24);
		height: rem(24);
		z-index: 10;
		position: absolute;
		display: inline-block;
	}

	svg {
		fill: $white;
	}

	@media (min-width: $screen-lg-min) {
		display: none;
	}
}
